﻿$ErrorActionPreference = 'Stop'

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'MSI'
    url            = 'https://developers.yubico.com/yubioath-desktop/Releases/yubioath-desktop-5.0.4-win32.msi'
    checksum       = '3af5d4f674d050ac7c62f777897f6f96141e8cb3b6e998c8eccb87c1b6111ec9'
    checksumType   = 'sha256'
    url64          = 'https://developers.yubico.com/yubioath-desktop/Releases/yubioath-desktop-5.0.4-win64.msi'
    checksum64     = 'd074462d391c92faa5691049abafe963c65bfcaa7c9f8c9163d1cec1c8162219'
    checksumType64 = 'sha256'
    silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
    validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs 
